Controlling maximum request size
You can specify the maximum file size allowed in a scripted REST API request payload.
The file size limit applies when accessing any of the following variables or functions from
a RESTAPIRequestBody object.
- data
- dataString
- nextEntry()
- hasNext()
Accessing these variables or functions with a request payload that exceeds the maximum size causes the service to respond with error code 400.
The file size limit does not apply when accessing the dataStream variable.
Maximum request size properties
Several properties control the maximum allowed request size. Add these properties to the
System Properties [sys_properties] table to specify a maximum request size.
| Property | Default value | Description |
|---|---|---|
| glide.rest.scripted.max_inbound_content_length_mb | 10 | The maximum size, in megabytes, for a scripted REST request body that is not gzipped. |
| glide.rest.scripted.max_inbound_gzip_content_length_mb | 1 | The maximum size, in megabytes, for a scripted REST request body that is gzipped. |
| glide.rest.max_content_length | 10 | The maximum size, in megabytes, for a scripted REST request body, whether or not it is gzipped. Maximum: 25 As a result, even if glide.rest.scripted.max_inbound_content_length_mb or glide.rest.scripted.max_inbound_gzip_content_length_mb are set, the request body is limited to the value of glide.rest.max_content_length. |